@zwangseinweisung @julienxx I also noticed that @mmu_man has worked on supporting gopher in NetSurf some time in the past, see this thread: m.g3l.org/@mmu_man/10101553174

@zwangseinweisung @galaxis @julienxx oh, possibly the cURL port isn't built with gopher support…

@zwangseinweisung @galaxis @julienxx make sure you build from the gopher-v6 branch after checking out.
It should work, though I only tested on linux.

@mmu_man @galaxis @julienxx how can i use your branch? with more than "./configure && make && make install" i am lost.

@zwangseinweisung @galaxis @julienxx

Well it's just like with the official build, except after checking out the main repo you need to add my remote and checkout the branch:


git clone (the official url)

git remote add mmu_man github.com/mmuman/NetSurf.git
git fetch --all
git checkout gopher-v6

make

@zwangseinweisung @galaxis @julienxx you'll need the cross-compiler installed and the rest of the workspace (all the ns* libs) also checked out.

@zwangseinweisung @galaxis @julienxx dang it!
I guess he actually updated it and removed the old one so we'll have to update the crosstools makefile.

@mmu_man @galaxis @julienxx yeah, i believe it too. the script tries to load a package from 2017

@zwangseinweisung @galaxis @julienxx yes.
vincent.riviere.free.fr/soft/m lists a 2020 tag. I think he doesn't know people uses his files to build things… 😛

Suivre

@zwangseinweisung @galaxis @julienxx you should be able to patch m68k-atari-mint/Makefile

· · Web · 1 · 0 · 0

@mmu_man @galaxis @julienxx yes but building takes foreever (even on my 8 core/16 threads ryzen)

@mmu_man @galaxis @julienxx I've got behind gemlib but now I'm stuck at libpml with the same error. Patch cannot applied. Will continue this evening

Inscrivez-vous pour prendre part à la conversation
Mastodon G3L

Instance de l'association G3L basée à Valence, Drôme, France